#ifndef CAN_1939_USER_H__
#define CAN_1939_USER_H__



extern CAN_1939_uint8_t u8DTC0XCEF0E0xx;
extern CAN_1939_uint8_t u8DTC0XB9F0E0xx;
extern CAN_1939_uint8_t u8DTC0XC1F0E0xx;
extern CAN_1939_uint8_t u8DTC0X66F1E0xx;
extern CAN_1939_uint8_t u8DTC0XB8F0E0xx;
extern CAN_1939_uint8_t u8DTC0XCCF0E0xx;
extern CAN_1939_uint8_t u8DTC0XCD160Bxx;
extern CAN_1939_uint32_t u32RecSA03DTC;


void CAN_J1939_Init_Example(void);
void CAN_1939_Process(void);

void CAN_1939_0X18ECFF03_MSG_CKB_ON_RECEIVE(unsigned char CopyData[]);
void CAN_1939_0X18EBFF03_MSG_CKB_ON_RECEIVE(unsigned char CopyData[]);
void CAN_1939_0X18FECA03_MSG_CKB_ON_RECEIVE(unsigned char CopyData[]);
void CAN_1939_0X18FECA03_MSG_CKB_LOST(unsigned char CopyData []);
void CAN_1939_0X18ECFF00_MSG_CKB_ON_RECEIVE(unsigned char CopyData[]);
void CAN_1939_0X18EBFF00_MSG_CKB_ON_RECEIVE(unsigned char CopyData[]);

extern CAN_1939_uint8_t Get_CAN_CH0_ID_18EBFF03_Sig_AT_AmberWarnLamp(void);
extern CAN_1939_uint8_t Get_CAN_CH0_ID_18EBFF03_Sig_AT_RedStopLamp(void);
extern CAN_1939_uint8_t  Get_CAN_CH0_ID_18EBFF00_Sig_RedStopLamp(void);
extern CAN_1939_uint8_t  Get_CAN_CH0_ID_18EBFF00_Sig_AmberWarnLamp(void);


#endif
